summaryrefslogtreecommitdiff
path: root/test/integration/targets/include_when_parent_is_dynamic/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/include_when_parent_is_dynamic/runme.sh')
-rwxr-xr-xtest/integration/targets/include_when_parent_is_dynamic/runme.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/include_when_parent_is_dynamic/runme.sh b/test/integration/targets/include_when_parent_is_dynamic/runme.sh
new file mode 100755
index 0000000000..b136965f1f
--- /dev/null
+++ b/test/integration/targets/include_when_parent_is_dynamic/runme.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eu
+
+ansible-playbook playbook.yml "$@" > output.log 2>&1 || true
+
+if grep "task should always execute" output.log >/dev/null; then
+ echo "Test passed (playbook failed with expected output, output not shown)."
+ exit 0
+fi
+
+cat output.log
+exit 1